Bug 615545 - High CPU usage when using mutter and gnome-shell
High CPU usage when using mutter and gnome-shell
Status: CLOSED DUPLICATE of bug 706971
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 21:44 EDT by Adam Drew
Modified: 2011-06-01 12:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 12:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Drew 2010-07-16 21:44:29 EDT
Description of problem:

Idle CPU utilization extra high when using gnome-shell and mutter as apposed to compiz or metacity.

With GNOME Shell selected from Desktop Effects:
adam@zylog-portable:~$ top | egrep 'mutter|Xorg'
 2750 adam      20   0  254m  91m  17m R 24.6  4.6   1:57.45 mutter             
 2187 root      20   0 69160  27m  11m S 15.1  1.4   1:19.59 Xorg               
 2750 adam      20   0  255m  92m  17m R 25.8  4.7   1:58.23 mutter             
 2187 root      20   0 68596  27m  11m S 15.9  1.4   1:20.07 Xorg               
 2750 adam      20   0  255m  92m  17m S 25.1  4.7   1:58.99 mutter             
 2187 root      20   0 68596  27m  11m S 15.2  1.4   1:20.53 Xorg               
 2750 adam      20   0  255m  92m  17m S 24.9  4.7   1:59.74 mutter             
 2187 root      20   0 68596  27m  11m S 14.6  1.4   1:20.97 Xorg               
 2750 adam      20   0  256m  93m  17m S 25.2  4.7   2:00.50 mutter             
 2187 root      20   0 68596  27m  11m S 15.3  1.4   1:21.43 Xorg               

With Compiz selected from Desktop Effects:
adam@zylog-portable:~$ top | egrep 'compiz|Xorg'
 2187 root      20   0 69972  27m  11m S  1.9  1.4   1:37.01 Xorg               
 2187 root      20   0 69224  26m  10m S  1.0  1.4   1:37.04 Xorg               
 2187 root      20   0 69228  26m  10m S  1.0  1.4   1:37.07 Xorg               
 2187 root      20   0 69220  26m  10m S  1.0  1.4   1:37.10 Xorg               
 2187 root      20   0 70072  26m  10m S  1.3  1.4   1:37.14 Xorg               
 2940 adam      20   0 54548  15m 5808 S  0.3  0.8   0:00.67 compiz  

With Standard selected from Desktop Effects:
 2187 root      20   0 69404  27m  11m S  3.9  1.4   1:40.11 Xorg               
 2187 root      20   0 68652  27m  11m S  0.3  1.4   1:40.12 Xorg               
 2187 root      20   0 69828  27m  11m S  1.7  1.4   1:40.17 Xorg               
 2187 root      20   0 68628  27m  11m S  1.0  1.4   1:40.20 Xorg               
 2187 root      20   0 69784  27m  11m S  1.7  1.4   1:40.25 Xorg  

All tests run with nothing except Firefox, Terminal, and Desktop Effects open.

Version-Release number of selected component (if applicable):
adam@zylog-portable:~$ rpm -q gnome-shell
gnome-shell-2.29.1-4.i686
adam@zylog-portable:~$ rpm -q mutter
mutter-2.29.1-1.fc13.i686

How reproducible:
Immediately upon switching to gnome-shell

Steps to Reproduce:
1. Switch to gnome-shell
2. Observe high CPU utilization
3.
  
Actual results:
Much higher than average CPU utilization

Expected results:
CPU utilization in-line with other window managers

Additional info:
adam@zylog-portable:~$ uname -a
Linux zylog-portable 2.6.33.6-147.fc13.i686 #1 SMP Tue Jul 6 22:30:55 UTC 2010 i686 i686 i386 GNU/Linux
adam@zylog-portable:~$ cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Celeron(R) CPU          743  @ 1.30GHz
stepping	: 10
cpu MHz		: 1296.777
cache size	: 1024 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx lm constant_tsc up arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl tm2 ssse3 cx16 xtpr pdcm xsave lahf_lm
bogomips	: 2593.55
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

adam@zylog-portable:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
09:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)
adam@zylog-portable:~$ lsmod
Module                  Size  Used by
michael_mic             1516  4 
arc4                    1041  2 
ecb                     1491  2 
fuse                   46663  2 
ip6t_REJECT             3298  2 
nf_conntrack_ipv6      13996  2 
ip6table_filter         2191  1 
ip6_tables              9219  1 ip6table_filter
ipv6                  216192  18 ip6t_REJECT,nf_conntrack_ipv6
vboxnetadp              5238  0 
vboxnetflt             10224  0 
vboxdrv               133547  2 vboxnetadp,vboxnetflt
uinput                  5210  0 
snd_hda_codec_realtek   200739  1 
lib80211_crypt_tkip     6672  0 
uvcvideo               46837  0 
snd_hda_intel          20319  2 
wl                   1952561  0 
videodev               29534  1 uvcvideo
snd_hda_codec          61515  2 snd_hda_codec_realtek,snd_hda_intel
v4l1_compat            11106  2 uvcvideo,videodev
r8169                  28261  0 
snd_hwdep               4704  1 snd_hda_codec
mii                     3422  1 r8169
snd_seq                41363  0 
snd_seq_device          4867  1 snd_seq
snd_pcm                59284  2 snd_hda_intel,snd_hda_codec
snd_timer              15063  2 snd_seq,snd_pcm
i2c_i801                8286  0 
snd                    45127  12 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
lib80211                3942  2 lib80211_crypt_tkip,wl
soundcore               4842  1 snd
iTCO_wdt                8712  0 
iTCO_vendor_support     1963  1 iTCO_wdt
snd_page_alloc          5877  2 snd_hda_intel,snd_pcm
dell_laptop             2896  0 
rfkill                 12905  1 dell_laptop
serio_raw               3531  0 
microcode              10013  0 
dcdbas                  6324  1 dell_laptop
i915                  232127  3 
drm_kms_helper         21663  1 i915
drm                   133489  4 i915,drm_kms_helper
i2c_algo_bit            3929  1 i915
i2c_core               19731  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  17109  1 i915
output                  1541  1 video
Comment 1 Peter Robinson 2010-07-17 04:36:38 EDT
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset
Integrated Graphics Controller (rev 07)

Should be OK with the 4 series intel GPU. Reassigning to the gnome-shell component.
Comment 2 Adam Drew 2010-07-18 12:16:43 EDT
I should also point out that gnome-shell didn't have this issue on the same hardware earlier in Fedora 13's life cycle. I tried it for a while right after F13 launched and had no issue. It worked fine.
Comment 3 Bug Zapper 2011-06-01 09:39:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Colin Walters 2011-06-01 12:28:41 EDT
Probably a duplicate

*** This bug has been marked as a duplicate of bug 706971 ***

Note You need to log in before you can comment on or make changes to this bug.